"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var token_1 = require("../../token");
/*
  will support the following formats:
    2018-01-01
    5/15/2018
    4/14/18
    5-15-18
    20.12.2017
    6/6
 */
var isDate = /^\d+\/\d+(\/\d+)?$|^\d+-\d+(-\d+)?$|^\d+\.\d+(\.\d+)?$/;
var DateDetector = /** @class */ (function () {
    function DateDetector(monthFirst) {
        if (monthFirst === void 0) { monthFirst = true; }
        this.monthFirst = monthFirst;
    }
    DateDetector.prototype.match = function (token) {
        return isDate.test(token);
    };
    DateDetector.prototype.extract = function (token) {
        return new token_1.TokenDate(token, this.monthFirst);
    };
    return DateDetector;
}());
exports.default = DateDetector;
//# sourceMappingURL=dateDetector.js.map