"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var token_1 = require("../../../token");
var directionDetector_1 = require("./directionDetector");
var durationAndDirection = /^(all|entire|whole) (this|last|past|next|previous) (week|month)$/;
var EnglishDirectionAndDurationDetector = /** @class */ (function () {
    function EnglishDirectionAndDurationDetector() {
    }
    EnglishDirectionAndDurationDetector.prototype.match = function (token) {
        return durationAndDirection.test(token);
    };
    EnglishDirectionAndDurationDetector.prototype.extract = function (token) {
        var match = token.match(durationAndDirection);
        if (match === null) {
            throw new Error("Token " + token + " has shown to cary duration-and-direction but cannot be parsed as such");
        }
        var durationLiteral = match[1] + " " + match[3];
        var directionLiteral = match[2] + " " + match[3];
        return [
            new token_1.Token(durationLiteral, token_1.TokenTypes.DURATION),
            directionDetector_1.directionToToken(directionLiteral)
        ];
    };
    return EnglishDirectionAndDurationDetector;
}());
exports.default = EnglishDirectionAndDurationDetector;
//# sourceMappingURL=directionAndDurationDetector.js.map