"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var token_1 = require("../../../token");
// ToDo: the week after and the week before are different than week after/before next/last.
// "the week after/before" is an attachable direction that can't be resolved on its own relative to today
var directionWeek = /^(this|last|past|next|previous)( week)?$|^week (after next)|(before last)$/;
var directionMonth = /^(this|last|past|next|previous) month$/;
var directionYear = /^(this|last|past|next|previous) year$/;
var directionToIncrement = function (direction) {
    if (/last|past|previous/.test(direction)) {
        return -1;
    }
    if (/next/.test(direction)) {
        return 1;
    }
    return 0;
};
var directionToToken = function (token) {
    if (/year/.test(token)) {
        return new token_1.TokenDirectionYear(directionToIncrement(token));
    }
    if (/month/.test(token)) {
        return new token_1.TokenDirectionMonth(directionToIncrement(token));
    }
    if (/after next/.test(token)) {
        return new token_1.TokenDirectionWeek(2);
    }
    if (/before last/.test(token)) {
        return new token_1.TokenDirectionWeek(-2);
    }
    return new token_1.TokenDirectionWeek(directionToIncrement(token));
};
exports.directionToToken = directionToToken;
var EnglishDirectionDetector = /** @class */ (function () {
    function EnglishDirectionDetector() {
    }
    EnglishDirectionDetector.prototype.extract = function (token) {
        return directionToToken(token);
    };
    EnglishDirectionDetector.prototype.match = function (token) {
        return (directionWeek.test(token) ||
            directionMonth.test(token) ||
            directionYear.test(token));
    };
    return EnglishDirectionDetector;
}());
exports.default = EnglishDirectionDetector;
//# sourceMappingURL=directionDetector.js.map