"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var token_1 = require("../../../token");
var spelledOutNumbers_1 = require("../spelledOutNumbers");
// ToDo: This regex will not detect multi-word spelled out duration as in "twenty five days"
var duration = new RegExp("^(" + Object.keys(spelledOutNumbers_1.default)
    .concat('\\d+')
    .concat('all', 'entire', 'whole')
    .join('|') + ") (day|week|month)s?$");
var EnglishDurationDetector = /** @class */ (function () {
    function EnglishDurationDetector() {
    }
    EnglishDurationDetector.prototype.match = function (token) {
        return duration.test(token);
    };
    EnglishDurationDetector.prototype.extract = function (token) {
        return new token_1.Token(token, token_1.TokenTypes.DURATION);
    };
    return EnglishDurationDetector;
}());
exports.default = EnglishDurationDetector;
//# sourceMappingURL=durationDetector.js.map