import { ILocale } from '../locale';
import DateDetector from '../detectors/dateDetector';
import EnglishAnchorStartDetector from './detectors/anchorStartDetector';
import EnglishDayOfMonthDetector from './detectors/dayOfMonthDetector';
import EnglishDayOfWeekDetector from './detectors/dayOfWeekDetector';
import EnglishDirectionAndDurationDetector from './detectors/directionAndDurationDetector';
import EnglishDirectionDetector from './detectors/directionDetector';
import EnglishDurationDetector from './detectors/durationDetector';
import EnglishEnumerationDetector from './detectors/enumerationDetector';
import EnglishMonthDetector from './detectors/monthDetector';
import EnglishNamedDayDetector from './detectors/namedDayDetector';
import EnglishRangeDetector from './detectors/rangeDetector';
export declare class EnglishLocale implements ILocale {
    readonly splitBy: RegExp;
    readonly maxNGram: number;
    detectors(): (DateDetector | EnglishAnchorStartDetector | EnglishDayOfMonthDetector | EnglishDayOfWeekDetector | EnglishDirectionDetector | EnglishDirectionAndDurationDetector | EnglishDurationDetector | EnglishEnumerationDetector | EnglishMonthDetector | EnglishNamedDayDetector | EnglishRangeDetector)[];
}
