"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var dateDetector_1 = require("../detectors/dateDetector");
var anchorStartDetector_1 = require("./detectors/anchorStartDetector");
var dayOfMonthDetector_1 = require("./detectors/dayOfMonthDetector");
var dayOfWeekDetector_1 = require("./detectors/dayOfWeekDetector");
var directionAndDurationDetector_1 = require("./detectors/directionAndDurationDetector");
var directionDetector_1 = require("./detectors/directionDetector");
var durationDetector_1 = require("./detectors/durationDetector");
var enumerationDetector_1 = require("./detectors/enumerationDetector");
var monthDetector_1 = require("./detectors/monthDetector");
var namedDayDetector_1 = require("./detectors/namedDayDetector");
var rangeDetector_1 = require("./detectors/rangeDetector");
var EnglishLocale = /** @class */ (function () {
    function EnglishLocale() {
        this.splitBy = /[^A-Za-zА-Яа-я0-9/_-]+/;
        this.maxNGram = 4;
    }
    EnglishLocale.prototype.detectors = function () {
        return [
            new dateDetector_1.default(),
            new anchorStartDetector_1.default(),
            new dayOfMonthDetector_1.default(),
            new dayOfWeekDetector_1.default(),
            new directionAndDurationDetector_1.default(),
            new directionDetector_1.default(),
            new durationDetector_1.default(),
            new enumerationDetector_1.default(),
            new monthDetector_1.default(),
            new namedDayDetector_1.default(),
            new rangeDetector_1.default()
        ];
    };
    return EnglishLocale;
}());
exports.EnglishLocale = EnglishLocale;
//# sourceMappingURL=index.js.map