"use strict";
// ToDo: need to cover the entire matcher with tests
// ToDo: do we need named matchers? like TokenType-to-Matcher map? Otherwise tests are not deterministic
Object.defineProperty(exports, "__esModule", { value: true });
var token_1 = require("../../../token");
var index_1 = require("../index");
var locale = new index_1.EnglishLocale();
Object.entries({
    '1': ['one', 'first'],
    '2': ['two', 'second'],
    '3': ['three', 'third'],
    '4': ['four', 'fourth']
}).forEach(function (testcase) {
    return test("Day of Month parser should understand all variations of " + testcase[0], function () {
        var days = testcase[1].concat(testcase[0]);
        var expected = Number(testcase[0]);
        days.forEach(function (day) {
            var detector = locale.detectors().find(function (d) { return d.match(day); });
            expect(detector).not.toBeNull();
            if (detector) {
                var token = detector.extract(day);
                expect(token.type).toEqual(token_1.TokenTypes.DAY_OF_MONTH);
                expect(token.token).toEqual(expected);
            }
            else {
                throw new Error('Detector should not be null');
            }
        });
    });
});
//# sourceMappingURL=english.test.js.map