"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var token_1 = require("./token");
var Sequence = /** @class */ (function () {
    function Sequence() {
        this.tokens = [];
    }
    Sequence.prototype.push = function (token) {
        if (Array.isArray(token)) {
            (_a = this.tokens).push.apply(_a, token);
        }
        else {
            this.tokens.push(token);
        }
        var _a;
    };
    Sequence.prototype.raw = function (all) {
        if (all === void 0) { all = true; }
        return this.tokens
            .map(function (token) { return ({ type: token.type, token: token.token }); })
            .filter(function (token) { return all || token.type !== token_1.TokenTypes.UNDEFINED; });
    };
    return Sequence;
}());
exports.Sequence = Sequence;
var isMatch = function (token, detector) {
    return detector.match(token);
};
var doParse = function (_a) {
    var _b = _a.input, input = _b === void 0 ? [] : _b, locale = _a.locale, _c = _a.sequence, sequence = _c === void 0 ? new Sequence() : _c, _d = _a.position, position = _d === void 0 ? 0 : _d;
    var detectors = locale.detectors();
    var segment = Math.min(input.length, locale.maxNGram);
    var frame = input[position];
    var detector;
    while (!detector && segment >= 1) {
        frame = input.slice(position, position + segment).join(' ');
        detector = detectors.find(isMatch.bind(null, frame));
        segment -= 1;
    }
    if (detector) {
        sequence.push(detector.extract(frame));
    }
    else {
        sequence.push(new token_1.Token(frame));
    }
    var next = position + segment + 1;
    if (next >= input.length) {
        return sequence;
    }
    return doParse({ input: input, sequence: sequence, locale: locale, position: next });
};
exports.parse = function (input, locale) {
    if (!input) {
        return new Sequence();
    }
    var normalized = input.toLowerCase().replace(/\s\s+/g, ' ');
    var tokenized = normalized.split(locale.splitBy);
    var parsed = doParse({ input: tokenized, locale: locale });
    return parsed;
};
//# sourceMappingURL=parser.js.map