"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var date_fns_1 = require("date-fns");
var _1 = require("../");
test('MONTH + DAY (+ YEAR) will compute a date', function () {
    var year = new _1.TokenDirectionYear(-1); // last year
    var month = new _1.TokenMonth(12);
    var day = new _1.TokenDayOfMonth(15);
    month.attach(day);
    year.attach(month);
    expect(month.compute()).toMatchObject([date_fns_1.startOfDay(date_fns_1.parse('2018-12-15'))]);
    expect(year.compute()).toMatchObject([date_fns_1.startOfDay(date_fns_1.parse('2017-12-15'))]);
});
test('MONTH DIRECTION + DAY will compute a date', function () {
    var today = date_fns_1.startOfDay(new Date());
    var month = new _1.TokenDirectionMonth(+1); // next month
    var day = new _1.TokenDayOfMonth(15);
    month.attach(day);
    expect(month.compute(today)).toMatchObject([
        date_fns_1.setDate(date_fns_1.addMonths(today, 1), 15)
    ]);
});
test('completeness of a token will change as it receives required attachments/anchors', function () {
    var month = new _1.TokenMonth(12);
    var day = new _1.TokenDayOfMonth(15);
    expect(month.isComplete()).toBeFalsy();
    month.attach(day);
    expect(month.isComplete()).toBeTruthy();
});
test('completeness of a token will change as it receives required anchors', function () {
    var month = new _1.TokenDirectionMonth(+1);
    var day = new _1.TokenDayOfMonth(15);
    expect(day.isComplete()).toBeFalsy();
    month.attach(day);
    expect(day.isComplete()).toBeTruthy();
});
//# sourceMappingURL=token.compute.test.js.map