"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tokenDayOfMonth_1 = require("../tokenDayOfMonth");
var types_1 = require("../types");
test('Token [DAY OF MONTH] has proper type and behavior settings', function () {
    var token = new tokenDayOfMonth_1.default(15);
    expect(token.type).toEqual(types_1.default.DAY_OF_MONTH);
    expect(token.willAnchor()).toMatchObject([]);
    expect(token.willAttachTo()).toMatchObject([
        types_1.default.MONTH,
        types_1.default.DIRECTION_MONTH
    ]);
    expect(token.compute()).toMatchObject([]);
    expect(token.isComplete()).toBeFalsy();
});
[-1, 0, 32].forEach(function (day) {
    return test('Token [DAY OF MONTH] will throw if instantiated with a day out of range', function () {
        expect(function () { return new tokenDayOfMonth_1.default(day); }).toThrowError();
    });
});
//# sourceMappingURL=tokenDayOfMonth.test.js.map