"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tokenDayOfWeek_1 = require("../tokenDayOfWeek");
var types_1 = require("../types");
test('Token [DAY OF WEEK] has proper type and behavior settings', function () {
    var token = new tokenDayOfWeek_1.default(2); // tuesday
    expect(token.type).toEqual(types_1.default.DAY_OF_WEEK);
    expect(token.willAnchor()).toMatchObject([]);
    expect(token.willAttachTo()).toMatchObject([types_1.default.DIRECTION_WEEK]);
    expect(token.compute()).toMatchObject([]);
    expect(token.isComplete()).toBeFalsy();
});
[-1, 7].forEach(function (day) {
    return test('Token [DAY OF WEEK] will throw if instantiated with a day out of range', function () {
        expect(function () { return new tokenDayOfWeek_1.default(day); }).toThrowError();
    });
});
//# sourceMappingURL=tokenDayOfWeek.test.js.map