"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tokenDirectionMonth_1 = require("../tokenDirectionMonth");
var types_1 = require("../types");
test('Token [DIRECTION MONTH] has proper type and behavior settings', function () {
    var token = new tokenDirectionMonth_1.default(+1); // next month
    expect(token.type).toEqual(types_1.default.DIRECTION_MONTH);
    expect(token.willAnchor()).toMatchObject([types_1.default.DAY_OF_MONTH]);
    expect(token.willAttachTo()).toMatchObject([]);
    expect(token.isComplete()).toBeFalsy();
});
test('Token [DIRECTION MONTH] without attachments produces an empty result', function () {
    var token = new tokenDirectionMonth_1.default(+1); // next month
    expect(token.compute()).toMatchObject([]);
});
//# sourceMappingURL=tokenDirectionMonth.test.js.map