"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tokenDirectionWeek_1 = require("../tokenDirectionWeek");
var types_1 = require("../types");
test('Token [DIRECTION WEEK] has proper type and behavior settings', function () {
    var token = new tokenDirectionWeek_1.default(+1); // next week
    expect(token.type).toEqual(types_1.default.DIRECTION_WEEK);
    expect(token.willAnchor()).toMatchObject([types_1.default.DAY_OF_WEEK]);
    expect(token.willAttachTo()).toMatchObject([]);
    expect(token.isComplete()).toBeFalsy();
});
test('Token [DIRECTION WEEK] without attachments produces an empty result', function () {
    var token = new tokenDirectionWeek_1.default(+1); // next week
    expect(token.compute()).toMatchObject([]);
});
//# sourceMappingURL=tokenDirectionWeek.test.js.map