"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tokenDirectionYear_1 = require("../tokenDirectionYear");
var types_1 = require("../types");
test('Token [DIRECTION YEAR] has proper type and behavior settings', function () {
    var token = new tokenDirectionYear_1.default(+1); // next year
    expect(token.type).toEqual(types_1.default.DIRECTION_YEAR);
    expect(token.willAnchor()).toMatchObject([types_1.default.MONTH]);
    expect(token.willAttachTo()).toMatchObject([]);
    expect(token.isComplete()).toBeFalsy();
});
test('Token [DIRECTION YEAR] without attachments produces an empty result', function () {
    var token = new tokenDirectionYear_1.default(+1); // next year
    expect(token.compute()).toMatchObject([]);
});
//# sourceMappingURL=tokenDirectionYear.test.js.map