"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var token_1 = require("../token");
var tokenDayOfMonth_1 = require("../tokenDayOfMonth");
var tokenDayOfWeek_1 = require("../tokenDayOfWeek");
var tokenEnumeration_1 = require("../tokenEnumeration");
var types_1 = require("../types");
test('Token [ENUMERATION] has proper type and behavior settings', function () {
    var token = new tokenEnumeration_1.default('and');
    expect(token.type).toEqual(types_1.default.ENUMERATION);
    expect(token.willAnchor()).toMatchObject([]);
    expect(token.willAttachTo()).toMatchObject([]);
    // enumeration will never compute. it's a separator
    expect(token.isComplete()).toBeTruthy();
    expect(token.compute(new Date())).toMatchObject([]);
});
test('Token [ENUMERATION] will never accept attachments', function () {
    var enumeration = new tokenEnumeration_1.default('and');
    var day = new tokenDayOfWeek_1.default(2);
    expect(enumeration.attach(new token_1.default('something'))).toBeFalsy();
    expect(enumeration.attach(day)).toBeFalsy();
    expect(enumeration.attach(new tokenDayOfMonth_1.default(15))).toBeFalsy();
});
//# sourceMappingURL=tokenEnumeration.test.js.map