"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tokenMonth_1 = require("../tokenMonth");
var types_1 = require("../types");
test('Token [MONTH] has correct type and behavior settings', function () {
    var token = new tokenMonth_1.default(1);
    expect(token.type).toEqual(types_1.default.MONTH);
    expect(token.willAnchor()).toMatchObject([types_1.default.DAY_OF_MONTH]);
    expect(token.willAttachTo()).toMatchObject([types_1.default.DIRECTION_YEAR]);
    expect(token.isComplete()).toBeFalsy();
});
test('Token [MONTH] without attachments produces an empty result', function () {
    var token = new tokenMonth_1.default(1);
    expect(token.compute()).toMatchObject([]);
});
[-1, 0, 13].forEach(function (day) {
    return test('Token [MONTH] will throw if instantiated with a month out of range', function () {
        expect(function () { return new tokenMonth_1.default(day); }).toThrowError();
    });
});
//# sourceMappingURL=tokenMonth.test.js.map