"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var date_fns_1 = require("date-fns");
var tokenNamedDay_1 = require("../tokenNamedDay");
var types_1 = require("../types");
test('Token [NAMED DAY] has correct type and behavior settings', function () {
    var token = new tokenNamedDay_1.default(+1);
    expect(token.type).toEqual(types_1.default.NAMED_DAY);
    expect(token.willAnchor()).toMatchObject([]);
    expect(token.willAttachTo()).toMatchObject([]);
    expect(token.isComplete()).toBeTruthy();
});
var days = {
    'day after tomorrow': 2,
    'day before yesterday': -2,
    tmrw: 1,
    today: 0,
    tomorrow: 1,
    yesterday: -1
};
Object.keys(days).forEach(function (day) {
    return test('Token [NAMED DAY] can compute itself', function () {
        var token = new tokenNamedDay_1.default(days[day]);
        var expected = date_fns_1.addDays(date_fns_1.startOfDay(new Date()), days[day]);
        expect(token.compute()).toEqual(expected);
    });
});
//# sourceMappingURL=tokenNamedDay.test.js.map