"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var types_1 = require("./types");
// ToDo: I think it makes sense to also hold on to the original string token
var Token = /** @class */ (function () {
    function Token(token, type) {
        if (type === void 0) { type = types_1.default.UNDEFINED; }
        this.attachments = [];
        this.type = type;
        this.token = token;
    }
    // ToDo: simplify these APIs
    Token.prototype.requiredAttachments = function () {
        return [];
    };
    Token.prototype.requiredAnchors = function () {
        return [];
    };
    Token.prototype.willAttachTo = function () {
        return this.requiredAnchors();
    };
    Token.prototype.willAnchor = function () {
        return this.requiredAttachments();
    };
    Token.prototype.isComplete = function () {
        var _this = this;
        var anchors = this.requiredAnchors().length === 0 ||
            (!!this.anchor && this.requiredAnchors().includes(this.anchor.type));
        var attachments = this.requiredAttachments().length === 0 ||
            this.requiredAttachments().every(function (type) { return !!_this.attachments.find(function (token) { return token.type === type; }); });
        return anchors && attachments;
    };
    Token.prototype.attach = function (token) {
        if (token && this.willAnchor().includes(token.type)) {
            token.anchor = this;
            this.attachments.push(token);
        }
    };
    Token.prototype.compute = function (today) {
        if (today === void 0) { today = new Date(); }
        return [];
    };
    return Token;
}());
exports.default = Token;
//# sourceMappingURL=token.js.map