"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var date_fns_1 = require("date-fns");
var token_1 = require("./token");
var types_1 = require("./types");
var TokenDate = /** @class */ (function (_super) {
    __extends(TokenDate, _super);
    function TokenDate(token, monthFirst) {
        if (monthFirst === void 0) { monthFirst = true; }
        var _this = _super.call(this, token, types_1.default.DATE) || this;
        var components = _this.token.match(/\d+/g) || [];
        if (![2, 3].includes(components.length)) {
            throw new Error("TokenDate cannot parse " + token + " as a valid date");
        }
        _this.month = Number(components[monthFirst ? 0 : 1]);
        _this.date = Number(components[monthFirst ? 1 : 0]);
        if (components.length === 3) {
            if (components[0].length === 4) {
                // YYYY-MM-DD
                _this.year = Number(components[0]);
                _this.month = Number(components[1]);
                _this.date = Number(components[2]);
            }
            else if ([2, 4].includes(components[2].length)) {
                _this.year = Number(components[2]);
                // all double digit yeas are assumed to be in the current millenium
                if (_this.year < 100) {
                    _this.year += 2000;
                }
            }
            else {
                // we don't use single digit years
                // and this code won't live long enough to see three digit years
                throw new Error("TokenDate cannot parse " + token + " as a valid date");
            }
        }
        if (_this.date < 1 || _this.date > 31 || _this.month < 1 || _this.month > 12) {
            throw new Error("TokenDate cannot parse " + token + " as a valid date");
        }
        return _this;
    }
    TokenDate.prototype.compute = function (today) {
        if (today === void 0) { today = new Date(); }
        var year = date_fns_1.getYear(today);
        return date_fns_1.setDate(date_fns_1.setMonth(date_fns_1.setYear(date_fns_1.startOfDay(today), this.year || year), this.month - 1), this.date);
    };
    return TokenDate;
}(token_1.default));
exports.default = TokenDate;
//# sourceMappingURL=tokenDate.js.map