"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var token_1 = require("./token");
var types_1 = require("./types");
var date_fns_1 = require("date-fns");
var _ = require("lodash");
var TokenDirectionWeek = /** @class */ (function (_super) {
    __extends(TokenDirectionWeek, _super);
    function TokenDirectionWeek(direction) {
        var _this = _super.call(this, direction, types_1.default.DIRECTION_WEEK) || this;
        _this.attachments = [];
        return _this;
    }
    TokenDirectionWeek.prototype.requiredAttachments = function () {
        return [types_1.default.DAY_OF_WEEK];
    };
    TokenDirectionWeek.prototype.compute = function (today) {
        var _this = this;
        if (today === void 0) { today = new Date(); }
        var base = date_fns_1.startOfDay(today);
        return _.chain(this.attachments)
            .flatMap(function (day) { return day.token; })
            .map(function (day) { return date_fns_1.addWeeks(date_fns_1.setDay(base, day), _this.token); })
            .value();
    };
    return TokenDirectionWeek;
}(token_1.default));
exports.default = TokenDirectionWeek;
//# sourceMappingURL=tokenDirectionWeek.js.map