"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var date_fns_1 = require("date-fns");
var _ = require("lodash");
var token_1 = require("./token");
var types_1 = require("./types");
var TokenMonth = /** @class */ (function (_super) {
    __extends(TokenMonth, _super);
    /* from 1 (january) to 12 (december) */
    function TokenMonth(month) {
        var _this = this;
        if (month < 1 || month > 12) {
            throw new Error("TokenMonth can only accept an integer in the range [1, 12] as a token. Received " + month);
        }
        _this = _super.call(this, month, types_1.default.MONTH) || this;
        _this.attachments = [];
        return _this;
    }
    TokenMonth.prototype.requiredAttachments = function () {
        return [types_1.default.DAY_OF_MONTH];
    };
    TokenMonth.prototype.willAttachTo = function () {
        return [types_1.default.DIRECTION_YEAR];
    };
    TokenMonth.prototype.compute = function (today) {
        if (today === void 0) { today = new Date(); }
        // we count month 1 to 12 and Date counts them 0 to 11
        var base = date_fns_1.setMonth(date_fns_1.startOfDay(today), this.token - 1);
        return _.chain(this.attachments)
            .flatMap(function (date) { return date.token; })
            .map(function (date) { return date_fns_1.setDate(base, date); })
            .value();
    };
    return TokenMonth;
}(token_1.default));
exports.default = TokenMonth;
//# sourceMappingURL=tokenMonth.js.map